# EvPhoneNumber

Phone number sanitiser to create usable tel links from phone number strings. This plugin is only a helper so requires no special installation steps, just install through composer.

## Usage

Make sure to load the `EvPhoneNumber.PhoneNumber` and `Html` helpers in your controller and then instead of using `$this->Html->link( $text, $url, $options )` directly use `$this->PhoneNumber->link( $text, $phoneNumber, $options )`. You can force the link to be generated on all platforms instead of just mobile by setting the `alwaysLink` option to `true`. You can also specify a country code using the `countryCode` option. This defaults to 'GB'.

If you ony need the string and not a HTML link, use `$this->PhoneNumber->parse( $phoneNumber, $countryCode )` instead.
